/***********************************************************
 * @Description : 用户角色的枚举
 * @author      : 梁山广(Laing Shan Guang)
 * @date        : 2019-05-18 12:00
 * @email       : liangshanguang2@gmail.com
 ***********************************************************/
package lsgwr.exam.enums;

import lombok.Getter;

/**
 * @Description: 账户身份枚举
 */
@Getter
public enum RoleEnum {

    /**
     * 用户角色，和数据库里面的role表相对应
     */
    ADMIN(1, "管理员"),
    TEACHER(2, "教师"),
    STUDENT(3, "学生");

    /**
     * @Description: 构造函数用于初始化错误码code和描述信息message
     * @param id 身份id
     * @param role 身份描述
     */
    RoleEnum(Integer id, String role) {
        this.id = id;
        this.role = role;
    }

    private Integer id;
    private String role;
}
